<template>
    <!--begin::Card-->
    <div class="row">
        <div class="">
            <div class="card card-custom gutter-b card-stretch">
                <!--begin::Body-->
                <div class="card-body">
                    <!--begin::Info-->
                    <div class="d-flex align-items-center">
                        <!--begin::Pic-->
                        <div class="flex-shrink-0 mr-2 symbol symbol-60 symbol-circle">
                            <img src="img/default-projet.png" alt="image" />
                        </div>
                        <!--end::Pic-->
                        <!--begin::Info-->
                        <div class="d-flex flex-column mr-auto">
                            <!--begin: Title-->
                            <div class="d-flex flex-column mr-auto">
                                <a href="#" class="text-dark text-hover-primary font-size-h4 font-weight-bolder mb-2">{{ entity.titre}}</a><br/>
                                <span class="text-muted font-weight-bold">Ajouté par : {{ entity.entreprise ?  entity.entreprise.nom_commercial : "Non precisé" }}</span>
                            </div>
                            <!--end::Title-->
                        </div>

                        <div class="mc_content">
                            <div class="mc-ud">
                                <button v-if="true" type="button" title="Voir le projet" class="btn">
                                        <i class="fas  fa-eye"></i>
                                </button>
                                <button type="button" title="Modifier le projet" class="btn" @click="updateProjet">
                                        <i class="fas  fa-edit"></i>
                                </button>
                                <button type="button" title="Supprimer le projet" class="btn" @click="deleteProjet">
                                        <i class="fas  fa-trash"></i>
                                </button>
                            </div>
                        </div>
                        <!--end::Info-->
                    </div>
                    <!--end::Info-->
                    <!--begin::Description-->
                    <div class="mb-10 mt-3 font-weight-bold">{{ entity.description }}</div><hr/>
                    <!--end::Description-->
                    <!--begin::Data-->
                    <div class="d-flex mb-5">
                        <div class="d-flex align-items-center mr-7">
                            <span class="font-weight-bold mr-4">Debut :</span>
                            <span class="btn btn-light-primary btn-sm font-weight-bold btn-upper btn-text">{{ dateFormat(entity.date_debut_prev) }}</span>
                        </div>
                        <div class="d-flex align-items-center">
                            <span class="font-weight-bold mr-4">Fin :</span>
                            <span class="btn btn-light-danger btn-sm font-weight-bold btn-upper btn-text">{{ dateFormat(entity.date_fin_prev) }}</span>
                        </div>
                    </div>
                    <!--end::Data-->
                    <!--begin::Progress-->
                    <div class="d-flex mb-5 align-items-cente">
                        <span class="d-block font-weight-bold mr-5">Etat d'avancement</span>
                        <div class="d-flex flex-row-fluid align-items-center">
                            <div class="progress progress-xs mt-2 mb-2 w-100">
                                <div class="progress-bar bg-success" role="progressbar" :style= "{width: entity.avancement+'%'}" aria-valuenow="50" aria-valuemin="0" aria-valuemax="100"></div>
                            </div>
                            <span class="ml-3 font-weight-bolder">{{ entity.avancement }} %</span>
                        </div>
                    </div>
                    <!--ebd::Progress-->
   
                    <div class="d-flex mb-5">
                        <div class="d-flex align-items-center mr-7">
                            <span class="font-weight-bold mr-4">Budget :</span>
                            <span class="">{{ entity.budget }} F CFA</span>
                        </div>
                    </div>
                </div>
                <!--end::Body-->
                <!--begin::Footer-->
                <div class="card-footer d-flex align-items-center">
                    <div class="d-flex">
                        <div class="d-flex align-items-center mr-7">
                            <span class="svg-icon svg-icon-gray-500">
                                <!--begin::Svg Icon | path:/metronic/theme/html/demo2/dist/assets/media/svg/icons/Text/Bullet-list.svg-->
                                <svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="24px" height="24px" viewBox="0 0 24 24" version="1.1">
                                    <g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
                                        <rect x="0" y="0" width="24" height="24"></rect>
                                        <path
                                            d="M10.5,5 L19.5,5 C20.3284271,5 21,5.67157288 21,6.5 C21,7.32842712 20.3284271,8 19.5,8 L10.5,8 C9.67157288,8 9,7.32842712 9,6.5 C9,5.67157288 9.67157288,5 10.5,5 Z M10.5,10 L19.5,10 C20.3284271,10 21,10.6715729 21,11.5 C21,12.3284271 20.3284271,13 19.5,13 L10.5,13 C9.67157288,13 9,12.3284271 9,11.5 C9,10.6715729 9.67157288,10 10.5,10 Z M10.5,15 L19.5,15 C20.3284271,15 21,15.6715729 21,16.5 C21,17.3284271 20.3284271,18 19.5,18 L10.5,18 C9.67157288,18 9,17.3284271 9,16.5 C9,15.6715729 9.67157288,15 10.5,15 Z"
                                            fill="#000000"
                                        ></path>
                                        <path
                                            d="M5.5,8 C4.67157288,8 4,7.32842712 4,6.5 C4,5.67157288 4.67157288,5 5.5,5 C6.32842712,5 7,5.67157288 7,6.5 C7,7.32842712 6.32842712,8 5.5,8 Z M5.5,13 C4.67157288,13 4,12.3284271 4,11.5 C4,10.6715729 4.67157288,10 5.5,10 C6.32842712,10 7,10.6715729 7,11.5 C7,12.3284271 6.32842712,13 5.5,13 Z M5.5,18 C4.67157288,18 4,17.3284271 4,16.5 C4,15.6715729 4.67157288,15 5.5,15 C6.32842712,15 7,15.6715729 7,16.5 C7,17.3284271 6.32842712,18 5.5,18 Z"
                                            fill="#000000"
                                            opacity="0.3"
                                        ></path>
                                    </g>
                                </svg>
                                <!--end::Svg Icon-->
                            </span>
                            <a href="#" class="font-weight-bolder text-primary ml-2">72 Tâches</a>
                        </div>
                        <div class="d-flex align-items-center mr-7">
                            <span class="svg-icon svg-icon-gray-500">
                                <!--begin::Svg Icon | path:/metronic/theme/html/demo2/dist/assets/media/svg/icons/Communication/Group-chat.svg-->
                                <svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="24px" height="24px" viewBox="0 0 24 24" version="1.1">
                                    <g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
                                        <rect x="0" y="0" width="24" height="24"></rect>
                                        <path
                                            d="M16,15.6315789 L16,12 C16,10.3431458 14.6568542,9 13,9 L6.16183229,9 L6.16183229,5.52631579 C6.16183229,4.13107011 7.29290239,3 8.68814808,3 L20.4776218,3 C21.8728674,3 23.0039375,4.13107011 23.0039375,5.52631579 L23.0039375,13.1052632 L23.0206157,17.786793 C23.0215995,18.0629336 22.7985408,18.2875874 22.5224001,18.2885711 C22.3891754,18.2890457 22.2612702,18.2363324 22.1670655,18.1421277 L19.6565168,15.6315789 L16,15.6315789 Z"
                                            fill="#000000"
                                        ></path>
                                        <path
                                            d="M1.98505595,18 L1.98505595,13 C1.98505595,11.8954305 2.88048645,11 3.98505595,11 L11.9850559,11 C13.0896254,11 13.9850559,11.8954305 13.9850559,13 L13.9850559,18 C13.9850559,19.1045695 13.0896254,20 11.9850559,20 L4.10078614,20 L2.85693427,21.1905292 C2.65744295,21.3814685 2.34093638,21.3745358 2.14999706,21.1750444 C2.06092565,21.0819836 2.01120804,20.958136 2.01120804,20.8293182 L2.01120804,18.32426 C1.99400175,18.2187196 1.98505595,18.1104045 1.98505595,18 Z M6.5,14 C6.22385763,14 6,14.2238576 6,14.5 C6,14.7761424 6.22385763,15 6.5,15 L11.5,15 C11.7761424,15 12,14.7761424 12,14.5 C12,14.2238576 11.7761424,14 11.5,14 L6.5,14 Z M9.5,16 C9.22385763,16 9,16.2238576 9,16.5 C9,16.7761424 9.22385763,17 9.5,17 L11.5,17 C11.7761424,17 12,16.7761424 12,16.5 C12,16.2238576 11.7761424,16 11.5,16 L9.5,16 Z"
                                            fill="#000000"
                                            opacity="0.3"
                                         ></path>
                                    </g>
                                </svg>
                                <!--end::Svg Icon-->
                            </span>
                            <a href="#" class="font-weight-bolder text-primary ml-2">648 Commentaires</a>
                        </div>
                    </div>
                </div>
                <!--end::Footer-->
            </div>
        </div>
    </div>
<!--end:: Card-->

</template>

<script>
	import  Vuetable from "vuetable-2/src/components/Vuetable";
    import pa from './../../components/pagination/Pagination'
    import Form from "./../../classes/Form"
    import Master from "./../Master.vue";
    import Prolongement from "./../../components/ProlongementLocation.vue";
   import NouveauProjet from "./NouveauProjet"
    import moment from 'moment'
   import { mapGetters } from 'vuex'

	export default {
        mixins: [Master],
        
        props: {
            entity: {
                type: Object,
                required: true
            },
        },
        created()
        {
            // axios.get("/examens").then((response) => 
            // { 
            //     this.examens = response.data;
            //     //envoie un event pour signifier le chargement des options
            //     this.$emit('initOption');
            //     // this.pageInit =true
            // },
            // (error) =>
            // {
            //     this.isLoading = false
            // });
        },

        data(){
            return{
                examens : {},
            }
        },
        methods: { 

             updateProjet()
            {
                 window.event.$emit('update-projet-event',this.entity)
            },

            deleteProjet()
            {
                  //On demande la confirmation de la suppression
                    alertConfirm("Voulez-vous supprimer ce projet ?","Suppréssion d'un projet")
                    .then(result => {
                        //On réinitialise le chargement
                        this.isLoading = true
                        if(result)
                        {
                               this.$store.dispatch('projets/removeProjet',this.entity).then((response) =>
                                {
                                        this.isLoading = false
                                        flash("<span>Supprimé <strong>avec succès</strong></span>",'success')
                                },
                                (error) => 
                                {
                                    this.isLoading = false
                                })
                        }
                    })
                    .catch(error => {
                        reject(error);
                    });
            },

            format_date(value){
                if (value) {
                return moment(String(value)).format('DD/MM/YYYY');
                }
            },

            dateFormat : function (date) {
                return moment(date, 'YYYY-MM-DD').format('DD/MM/YYYY');
            }
        },

		components: {
            NouveauProjet
			
        },

        mounted() {
            this.pageInit = true 
        },
	}
</script>

<style scoped="css">
/* 
width: 100%;
overflow: hidden;
white-space: nowrap;
text-overflow: ellipsis;
 */
 /* div .mb-10{
    width: 60%;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    color:red;
 } */
.col-xl-4 {
    -webkit-box-flex: 0;
    -ms-flex: 0 0 33.33333%;
    flex: 0 0 33.33333%;
    max-width: 33.33333%;
}

.card.card-custom.card-stretch.gutter-b {
    height: calc(100% - 25px);
}
.card.card-custom.card-stretch {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: stretch !important;
    -ms-flex-align: stretch !important;
    align-items: stretch !important;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    height: 100%;
}
.card.card-custom {
    -webkit-box-shadow: 0px 0px 30px 0px rgba(82, 63, 105, 0.05);
    box-shadow: 0px 0px 30px 0px rgba(82, 63, 105, 0.05);
    border: 0;
}
.gutter-b {
    margin-bottom: 25px;
}
.card {
    position: relative;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    min-width: 0;
    word-wrap: break-word;
    background-color: #ffffff;
    background-clip: border-box;
    border: 1px solid #EBEDF3;
    border-radius: 0.42rem;
}

.card.card-custom > .card-body {
    padding: 2rem 2.25rem;
}
.card-body {
    -webkit-box-flex: 1;
    -ms-flex: 1 1 auto;
    flex: 1 1 auto;
    min-height: 1px;
    padding: 2.25rem;
}

.symbol.symbol-circle {
    border-radius: 50%;
}
.symbol {
    display: inline-block;
    -ms-flex-negative: 0;
    flex-shrink: 0;
    position: relative;
    border-radius: 0.42rem;
}
.mr-4, .mx-4 {
    margin-right: 1rem !important;
}
.flex-shrink-0 {
    -ms-flex-negative: 0 !important;
    flex-shrink: 0 !important;
}

.symbol.symbol-60 > img {
    width: 100%;
    max-width: 60px;
    height: 60px;
}
.symbol.symbol-circle > img {
    border-radius: 50%;
}
.symbol > img {
    width: 100%;
    max-width: 50px;
    height: 50px;
}
.symbol > img {
    width: 100%;
    max-width: 50px;
    height: 50px;
}
.symbol > img {
    width: 100%;
    max-width: 50px;
    height: 50px;
}
.symbol > img {
    width: 100%;
    max-width: 50px;
    height: 50px;
}
.symbol > img {
    width: 100%;
    max-width: 50px;
    height: 50px;
}
.symbol > img {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    border-radius: 0.42rem;
}
img {
    vertical-align: middle;
    border-style: none;
}

a.text-hover-primary:hover, .text-hover-primary:hover {
    -webkit-transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, -webkit-box-shadow 0.15s ease;
    transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, -webkit-box-shadow 0.15s ease;
    transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, box-shadow 0.15s ease;
    transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, box-shadow 0.15s ease, -webkit-box-shadow 0.15s ease;
    color: #6993FF !important;
}
a.text-dark:hover, a.text-dark:focus {
    color: black !important;
}
html a:hover, html a:active, html a:focus, body a:hover, body a:active, body a:focus {
    text-decoration: none !important;
}
a:hover {
    -webkit-transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, -webkit-box-shadow 0.15s ease;
    transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, -webkit-box-shadow 0.15s ease;
    transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, box-shadow 0.15s ease;
    transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, box-shadow 0.15s ease, -webkit-box-shadow 0.15s ease;
}
a.text-hover-primary, .text-hover-primary {
    -webkit-transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, -webkit-box-shadow 0.15s ease;
    transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, -webkit-box-shadow 0.15s ease;
    transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, box-shadow 0.15s ease;
    transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, box-shadow 0.15s ease, -webkit-box-shadow 0.15s ease;
}
a:hover {
    color: #1d5cff;
    text-decoration: underline;
}
.font-size-h4 {
    font-size: 1.35rem !important;
}
.text-dark {
    color: #181C32 !important;
}
.text-dark {
    color: #181C32 !important;
}
.font-weight-bolder {
    font-weight: 600 !important;
}
.mb-1, .my-1 {
    margin-bottom: 0.25rem !important;
}
a, button {
    outline: 0 !important;
}
a {
    -webkit-transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, -webkit-box-shadow 0.15s ease;
    transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, -webkit-box-shadow 0.15s ease;
    transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, box-shadow 0.15s ease;
    transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, box-shadow 0.15s ease, -webkit-box-shadow 0.15s ease;
}
a {
    color: #6993FF;
    text-decoration: none;
    background-color: transparent;
}

.btn.btn-clean i {
    color: #B5B5C3;
}
.btn.btn-icon i {
    padding: 0;
    margin: 0;
}
.btn.btn-sm i, .btn-group-sm > .btn i {
    font-size: 1.3rem;
    padding-right: 0.35rem;
}
.btn i {
    font-size: 1.3rem;
    padding-right: 0.35rem;
    vertical-align: middle;
    line-height: 1;
    display: -webkit-inline-box;
    display: -ms-inline-flexbox;
    display: inline-flex;
}
.btn i {
    -webkit-transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, -webkit-box-shadow 0.15s ease;
    transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, -webkit-box-shadow 0.15s ease;
    transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, box-shadow 0.15s ease;
    transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, box-shadow 0.15s ease, -webkit-box-shadow 0.15s ease;
}
.ki {
    font-size: 1rem;
}
i {
    font-size: 1.25rem;
    color: #B5B5C3;
}

.mb-5, .my-5 {
    margin-bottom: 1.25rem !important;
}
.d-flex {
    display: -webkit-box !important;
    display: -ms-flexbox !important;
    /* display: flex !important; */
}

.mr-7, .mx-7 {
    margin-right: 1.75rem !important;
}
.align-items-center {
    -webkit-box-align: center !important;
    -ms-flex-align: center !important;
    align-items: center !important;
}
.d-flex {
    display: -webkit-box !important;
    display: -ms-flexbox !important;
    /* display: flex !important; */
}

.btn:not(:disabled):not(.disabled) {
    cursor: pointer;
}
.btn.btn-light-primary {
    color: #6993FF;
    background-color: #E1E9FF;
    border-color: transparent;
}
.btn.btn-text {
    cursor: text;
}
.btn {
    outline: none !important;
    vertical-align: middle;
    -webkit-transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, -webkit-box-shadow 0.15s ease;
    transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, -webkit-box-shadow 0.15s ease;
    transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, box-shadow 0.15s ease;
    transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, box-shadow 0.15s ease, -webkit-box-shadow 0.15s ease;
}
.font-weight-bold {
    font-weight: 500 !important;
    text-align: justify;
}
.btn-sm, .btn-group-sm > .btn {
    padding: 0.55rem 0.75rem;
    font-size: 0.925rem;
    line-height: 1.35;
    border-radius: 0.42rem;
}
.btn {
    display: inline-block;
    font-weight: normal;
    color: #3F4254;
    text-align: center;
    vertical-align: middle;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    background-color: transparent;
    border: 1px solid transparent;
        border-top-color: transparent;
        border-right-color: transparent;
        border-bottom-color: transparent;
        border-left-color: transparent;
    padding: 0.65rem 1rem;
    font-size: 1rem;
    line-height: 1.5;
    border-radius: 0.42rem;
    -webkit-transition: color 0.3s ease-in-out, background-color 0.3s ease-in-out, border-color 0.3s ease-in-out, -webkit-box-shadow 0.3s ease-in-out;
    transition: color 0.3s ease-in-out, background-color 0.3s ease-in-out, border-color 0.3s ease-in-out, -webkit-box-shadow 0.3s ease-in-out;
    transition: color 0.3s ease-in-out, background-color 0.3s ease-in-out, border-color 0.3s ease-in-out, box-shadow 0.3s ease-in-out;
    transition: color 0.3s ease-in-out, background-color 0.3s ease-in-out, border-color 0.3s ease-in-out, box-shadow 0.3s ease-in-out, -webkit-box-shadow 0.3s ease-in-out;
}

.font-weight-bold {
    font-weight: 500 !important;
}
.mr-4, .mx-4 {
    margin-right: 1rem !important;
}

.mb-5, .my-5 {
    margin-bottom: 1.25rem !important;
}
.d-flex {
    display: -webkit-box !important;
    display: -ms-flexbox !important;
    /* display: flex !important; */
}

.flex-row-fluid {
    -webkit-box-flex: 1;
    flex: 1 auto;
    -ms-flex: 1 0 0px;
    min-width: 0;
}
.align-items-center {
    -webkit-box-align: center !important;
    -ms-flex-align: center !important;
    align-items: center !important;
}
.d-flex {
    display: -webkit-box !important;
    display: -ms-flexbox !important;
    /* display: flex !important; */
}

.btn:not(:disabled):not(.disabled) {
    cursor: pointer;
}
.btn.btn-light-danger {
    color: #F64E60;
    background-color: #FFE2E5;
    border-color: transparent;
}
.btn.btn-text {
    cursor: text;
}
.btn {
    outline: none !important;
    vertical-align: middle;
    -webkit-transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, -webkit-box-shadow 0.15s ease;
    transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, -webkit-box-shadow 0.15s ease;
    transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, box-shadow 0.15s ease;
    transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, box-shadow 0.15s ease, -webkit-box-shadow 0.15s ease;
}
.font-weight-bold {
    font-weight: 500 !important;
}
.btn-sm, .btn-group-sm > .btn {
    padding: 0.55rem 0.75rem;
    font-size: 0.925rem;
    line-height: 1.35;
    border-radius: 0.42rem;
}
.btn {
    display: inline-block;
    font-weight: normal;
    color: #3F4254;
    text-align: center;
    vertical-align: middle;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    background-color: transparent;
    border: 1px solid transparent;
        border-top-color: transparent;
        border-right-color: transparent;
        border-bottom-color: transparent;
        border-left-color: transparent;
    padding: 0.65rem 1rem;
    font-size: 1rem;
    line-height: 1.5;
    border-radius: 0.42rem;
    -webkit-transition: color 0.3s ease-in-out, background-color 0.3s ease-in-out, border-color 0.3s ease-in-out, -webkit-box-shadow 0.3s ease-in-out;
    transition: color 0.3s ease-in-out, background-color 0.3s ease-in-out, border-color 0.3s ease-in-out, -webkit-box-shadow 0.3s ease-in-out;
    transition: color 0.3s ease-in-out, background-color 0.3s ease-in-out, border-color 0.3s ease-in-out, box-shadow 0.3s ease-in-out;
    transition: color 0.3s ease-in-out, background-color 0.3s ease-in-out, border-color 0.3s ease-in-out, box-shadow 0.3s ease-in-out, -webkit-box-shadow 0.3s ease-in-out;
}


.font-weight-bold {
    font-weight: 500 !important;
}
.mr-4, .mx-4 {
    margin-right: 1rem !important;
}


.card.card-custom > .card-footer {
    background-color: #5ec6ed;
}

.card.card-custom > .card-footer a {
    color: #ffffff !important;
}


.card-footer:last-child {
    border-radius: 0 0 calc(0.42rem - 1px) calc(0.42rem - 1px);
}
.align-items-center {
    -webkit-box-align: center !important;
    -ms-flex-align: center !important;
    align-items: center !important;
}
.d-flex {
    display: -webkit-box !important;
    display: -ms-flexbox !important;
    /* display: flex !important; */
}

.card-footer {
    padding: 2rem 2.25rem;
    background-color: #ffffff;
    border-top: 1px solid #EBEDF3;
}

.d-flex {
    display: -webkit-box !important;
    display: -ms-flexbox !important;
    /* display: flex !important; */
}


.mr-7, .mx-7 {
    margin-right: 1.75rem !important;
}
.align-items-center {
    -webkit-box-align: center !important;
    -ms-flex-align: center !important;
    align-items: center !important;
}
.d-flex {
    display: -webkit-box !important;
    display: -ms-flexbox !important;
    /* display: flex !important; */
}

.btn[data-v-74aa1ca0]:not(:disabled):not(.disabled) {
    cursor: pointer;
}
.btn[data-v-74aa1ca0]:not(:disabled):not(.disabled) {
    cursor: pointer;
}
html a[data-v-74aa1ca0]:hover, html a[data-v-74aa1ca0]:active, html a[data-v-74aa1ca0]:focus, body a[data-v-74aa1ca0]:hover, body a[data-v-74aa1ca0]:active, body a[data-v-74aa1ca0]:focus {
    text-decoration: none !important;
}
a[data-v-74aa1ca0]:hover {
    color: #1d5cff;
    text-decoration: underline;
}
a[data-v-74aa1ca0]:hover {
    -webkit-transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, -webkit-box-shadow 0.15s ease;
    -webkit-transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, box-shadow 0.15s ease;
    transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, box-shadow 0.15s ease;
}
.btn[data-v-74aa1ca0] {
    display: inline-block;
    font-weight: normal;
    color: #3F4254;
    text-align: center;
    vertical-align: middle;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    background-color: transparent;
    border: 1px solid transparent;
        border-top-color: transparent;
        border-right-color: transparent;
        border-bottom-color: transparent;
        border-left-color: transparent;
    border-top-color: transparent;
    border-right-color: transparent;
    border-bottom-color: transparent;
    border-left-color: transparent;
    padding: 0.65rem 1rem;
    font-size: 1rem;
    line-height: 1.5;
    border-radius: 0.42rem;
    -webkit-transition: color 0.3s ease-in-out, background-color 0.3s ease-in-out, border-color 0.3s ease-in-out, -webkit-box-shadow 0.3s ease-in-out;
    -webkit-transition: color 0.3s ease-in-out, background-color 0.3s ease-in-out, border-color 0.3s ease-in-out, box-shadow 0.3s ease-in-out;
    transition: color 0.3s ease-in-out, background-color 0.3s ease-in-out, border-color 0.3s ease-in-out, box-shadow 0.3s ease-in-out;
}
.btn-sm[data-v-74aa1ca0], .btn-group-sm > .btn[data-v-74aa1ca0] {
    padding: 0.55rem 0.75rem;
    font-size: 0.925rem;
    line-height: 1.35;
    border-radius: 0.42rem;
}
.btn[data-v-74aa1ca0] {
    outline: none !important;
    vertical-align: middle;
    -webkit-transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, -webkit-box-shadow 0.15s ease;
    -webkit-transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, box-shadow 0.15s ease;
    transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, box-shadow 0.15s ease;
}
.btn[data-v-74aa1ca0] {
    display: inline-block;
    font-weight: normal;
    color: #3F4254;
    text-align: center;
    vertical-align: middle;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    background-color: transparent;
    border: 1px solid transparent;
    border-top-color: transparent;
    border-right-color: transparent;
    border-bottom-color: transparent;
    border-left-color: transparent;
    padding: 0.65rem 1rem;
    font-size: 1rem;
    line-height: 1.5;
    border-radius: 0.42rem;
    -webkit-transition: color 0.3s ease-in-out, background-color 0.3s ease-in-out, border-color 0.3s ease-in-out, -webkit-box-shadow 0.3s ease-in-out;
    -webkit-transition: color 0.3s ease-in-out, background-color 0.3s ease-in-out, border-color 0.3s ease-in-out, box-shadow 0.3s ease-in-out;
    transition: color 0.3s ease-in-out, background-color 0.3s ease-in-out, border-color 0.3s ease-in-out, box-shadow 0.3s ease-in-out;
}
.btn-sm[data-v-74aa1ca0], .btn-group-sm > .btn[data-v-74aa1ca0] {
    padding: 0.55rem 0.75rem;
    font-size: 0.925rem;
    line-height: 1.35;
    border-radius: 0.42rem;
}
.btn[data-v-74aa1ca0] {
    outline: none !important;
    vertical-align: middle;
    -webkit-transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, -webkit-box-shadow 0.15s ease;
    -webkit-transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, box-shadow 0.15s ease;
    transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, box-shadow 0.15s ease;
}
.btn:hover {
    color: #ffffff;
    text-decoration: none;
}
.btn:hover {
    color: #212529;
    text-decoration: none;
}
.text-sm .btn {
    font-size: 0.875rem !important;
}
.btn:hover {
    color: #212529;
    text-decoration: none;
}
.btn:hover {
    color: #212529;
    text-decoration: none;
}
a[data-v-74aa1ca0] {
    color: #6993FF;
    text-decoration: none;
    background-color: transparent;
}
a[data-v-74aa1ca0] {
    -webkit-transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, -webkit-box-shadow 0.15s ease;
    -webkit-transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, box-shadow 0.15s ease;
    transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, box-shadow 0.15s ease;
}
a[data-v-74aa1ca0], button[data-v-74aa1ca0] {
    outline: 0 !important;
}
a:hover {
    color: #1e70bf;
    text-decoration: none;
}
a:hover {
    color: #f3a105;
    text-decoration: none;
}
a:hover {
    color: #0056b3;
    text-decoration: none;
}
a:hover {
    color: #114809;
    text-decoration: underline;
}
.btn-sm, .btn-group-sm > .btn {
    padding: 0.25rem 0.5rem;
    font-size: 0.875rem;
    line-height: 1.5;
    border-radius: 0.2rem;
}
.btn {
    display: inline-block;
    font-weight: 400;
    color: #212529;
    text-align: center;
    vertical-align: middle;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    background-color: transparent;
    border: 1px solid transparent;
    padding: 0.375rem 0.75rem;
    font-size: 1rem;
    line-height: 1.5;
    border-radius: 0.25rem;
    -webkit-transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
    transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}
.btn-sm, .btn-group-sm > .btn {
    padding: 0.25rem 0.5rem;
    font-size: 0.7875rem;
    line-height: 1.5;
    border-radius: 0.2rem;
}
.btn {
    display: inline-block;
    font-weight: 400;
    color: #212529;
    text-align: center;
    vertical-align: middle;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    background-color: transparent;
    border: 1px solid transparent;
    padding: 0.375rem 0.75rem;
    font-size: 0.9rem;
    line-height: 1.6;
    border-radius: 0.25rem;
    -webkit-transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
    transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}
a {
    color: #4183C4;
    text-decoration: none;
}
a {
    background-color: transparent;
    -webkit-text-decoration-skip: objects;
}
a {
    color: #218c12;
    text-decoration: none;
    background-color: transparent;
}
a {
    color: #218c12;
    text-decoration: none;
    background-color: transparent;
}
*, ::before, ::after {
    -webkit-box-sizing: inherit;
    box-sizing: inherit;
}
*, ::before, ::after {
    box-sizing: border-box;
}
*, ::before, ::after {
    box-sizing: border-box;
}
.card[data-v-74aa1ca0] {
    word-wrap: break-word;
}
.card {
    word-wrap: break-word;
}
.card {
    word-wrap: break-word;
}
.text-sm {
    font-size: 0.875rem !important;
}
body {
    font-family: 'Lato', 'Helvetica Neue', Arial, Helvetica, sans-serif;
    font-size: 14px;
    line-height: 1.4285em;
    color: rgba(0, 0, 0, 0.87);
}
body {
    color: #37474F;
    font-family: "Raleway", sans-serif;
    font-weight: 300;
    font-size: 16px;
}
body {
    font-family: "Source Sans Pro", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: #212529;
    text-align: left;
}
body {
    font-family: "Nunito", sans-serif;
    font-size: 0.9rem;
    font-weight: 400;
    line-height: 1.6;
    color: #212529;
    text-align: left;
}

.progress-xs {
    height: 7px;
    width: 70% !important;
}

.mc_content{
    width: 10%;
}

.fa-edit{
    color:green;
}

.fa-trash{
    color:rgb(236, 127, 127);
}

.fa-eye{
    color:#045353 !important;
}

</style>